/** Media query to make the site more mobile-friendly */
html {
  height: 100%;
}
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding-top: 10rem;
  padding: 0;
  background-color: #f4f4f4;
  display: flex;
  flex-direction: column;
  height: 100%;
  font-size: 1.5rem;
}
.spacer {
  flex: 1;
}
header {
  margin-top: 5rem;
  padding: 20px;
  text-align: center;
  font-family: 'Georgia', serif;
  transition: margin-top 0.3s ease;
}
img.logo {
  position: relative;
  height: 12rem;
  margin-bottom: -12rem;
  top: -7rem;
  left: -14rem;
  opacity: 0.5;
  z-index: -1;
  transition: top 0.3s ease, left 0.3s ease, height 0.3s ease, opacity 0.3s ease;
}
main {
  max-width: 30rem;
  min-width: 20rem;
  margin: 1rem auto;
  padding: 1rem;
  background-color: #fff;
  border-radius: 0.5rem;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
footer {
  text-align: center;
}
h1,
h2 {
  color: #333;
  margin: 0px;
}
.external-link {
  align-items: center;
  margin: 1rem 0;
  border: 1px solid #ccc;
  border-radius: 0.5rem;
  padding: 1rem;
  display: grid;
  grid-template-areas: "logo title" "logo description";
  grid-template-columns: auto 1fr;
  text-decoration: none;
  color: inherit;
}
.external-link:hover {
  background-color: #f0f0f0;
}
.external-link > p {
  margin: 0;
  padding: 0;
}
.external-link .name {
  grid-area: title;
  font-weight: bold;
  color: #007BFF;
}
.external-link .description {
  grid-area: description;
  color: #555;
}
.link-image {
  grid-area: logo;
  margin-right: 1rem;
  width: 48px;
  filter: invert(1) sepia(1) saturate(10) hue-rotate(332deg) invert(1);
}
@media (max-width: 1200px) {
  img.logo {
    position: relative;
    height: 8rem;
    margin-bottom: -8rem;
    top: -10rem;
    left: 0px;
    opacity: 0.5;
    z-index: -1;
  }
}
@media (max-width: 505px) {
  header {
    display: flex;
    flex-direction: row;
    margin-top: 0px;
  }
  img.logo {
    position: relative;
    height: 6rem;
    margin-bottom: 0rem;
    top: 0rem;
    opacity: 0.5;
    z-index: -1;
  }
}
